Package org.kie.api.runtime.conf

# Enum Class PersistedSessionOption.SafepointStrategy

java.lang.Object
java.lang.Enum<PersistedSessionOption.SafepointStrategy>
org.kie.api.runtime.conf.PersistedSessionOption.SafepointStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<PersistedSessionOption.SafepointStrategy>`, `Constable`

Enclosing class:
  PersistedSessionOption

public static enum PersistedSessionOption.SafepointStrategy extends Enum<PersistedSessionOption.SafepointStrategy>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER_FIRE`
  `ALWAYS`
  `EXPLICIT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `useSafepoints()`
  `static PersistedSessionOption.SafepointStrategy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PersistedSessionOption.SafepointStrategy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALWAYS

    public static final PersistedSessionOption.SafepointStrategy ALWAYS

  - ### AFTER_FIRE

    public static final PersistedSessionOption.SafepointStrategy AFTER_FIRE

  - ### EXPLICIT

    public static final PersistedSessionOption.SafepointStrategy EXPLICIT

- ## Method Details

  - ### values

    public static PersistedSessionOption.SafepointStrategy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PersistedSessionOption.SafepointStrategy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### useSafepoints

    public boolean useSafepoints()